document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');

  mobileMenu.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Market chart initialization
  const ctx = document.getElementById('marketChart').getContext('2d');
  const labels = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'];
  const data = [65, 59, 80, 81, 56, 55];

  function drawChart() {
    ctx.clearRect(0, 0, ctx.canvas.width, ctx.canvas.height);
    ctx.beginPath();
    ctx.moveTo(0, ctx.canvas.height - data[0]);
    
    for (let i = 1; i < data.length; i++) {
      const x = (ctx.canvas.width / (data.length - 1)) * i;
      const y = ctx.canvas.height - data[i];
      ctx.lineTo(x, y);
    }
    
    ctx.strokeStyle = '#3498db';
    ctx.lineWidth = 2;
    ctx.stroke();
  }

  // Resize chart on window resize
  window.addEventListener('resize', () => {
    ctx.canvas.width = ctx.canvas.parentNode.offsetWidth;
    ctx.canvas.height = 300;
    drawChart();
  });

  // Initial chart draw
  ctx.canvas.width = ctx.canvas.parentNode.offsetWidth;
  ctx.canvas.height = 300;
  drawChart();
});
